org.apache.sis.console

## Class InvalidOptionException

- Object
- - Throwable
  - - Exception
    - - InvalidOptionException

- All Implemented Interfaces:
    Serializable

      public class InvalidOptionException
      extends Exception

  Thrown when an illegal option has been given by the user on the command-line.
  Since:
    0.3
  See Also:
    Serialized Form

  Defined in the `sis-console` module

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidOptionException(String message, String option)` Constructs an exception with the specified detail message.
    `InvalidOptionException(String message, Throwable cause, String option)` Constructs an exception with the specified detail message and cause.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getOption()` Returns the name of the invalid option.

    - ### Methods inherited from class Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidOptionException

          public InvalidOptionException(String message,
                                        String option)

      Constructs an exception with the specified detail message.
      Parameters:
        `message` - the detail message.
        `option` - the name of the invalid option.

    - #### InvalidOptionException

          public InvalidOptionException(String message,
                                        Throwable cause,
                                        String option)

      Constructs an exception with the specified detail message and cause.
      Parameters:
        `message` - the detail message.
        `cause` - the cause of this exception.
        `option` - the name of the invalid option.

  - ### Method Detail

    - #### getOption

          public String getOption()

      Returns the name of the invalid option.
      Returns:
        the name of the invalid option.

Copyright © 2010–2017 The Apache Software Foundation. All rights reserved.